Subject: IAOC report to community at IETF 102

From: Andrew Sullivan <[email-masked]>
Date: Mon, 16 Jul 2018 09:53:29 -0400

Dear colleagues,

Attached, please find the report from the IAOC at IETF 102.  We hope
this is useful to you in formulating any questions you might have for
us this week.  If you will have questions for us that you'd like us to
answer during the plenary, you can also send them to us in advance at
[email-masked].  If you do so, we are more likely to have the
particular details available to anwer your question immediately.
Of course, sending your questions in advance is not required, but you
might get a more satisfying answer on the spot that way.

Respectfully submitted,

Andrew Sullivan
for the IAOC

-- 
Andrew Sullivan
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Mon, 16 Jul 2018 10:25:31 -0400

Andrew,

You can consider this a question, an observation, or both as
seems appropriate and, on that basis, figure out if it worth
plenary time.

>From my memory of the original IASA discussions, the role of the
IAOC is not just administrative oversight.  There is also a
strategic role, one for which the IESG (and the IETF Chair in
particular) may not have the right skills.   Certainly, we've
seen little evidence that Nomcoms have considered such skills as
primary in picking IETF Chairs.  Given all of the other
responsibilities that have accrued to th IETF Chair role, and
IESG roles more generally, it is not at all clear that they
should consider the financial/administrative skills primary or
that doing so would even be feasible given the randomly-selected
skill and experience mix on the Nomcom (some of the same issues
may apply to selection of Board members for the LLC, but I think
those issues reinforce each other).

In addition, while we have never had a completely out-of-control
IETF Chair and I hope we never will, the nature of the Nomcom
process, occasional historical difficulties in finding qualified
candidates with adequate support commitments, and perhaps some
analogies to other events in the world, suggest that paying
careful attention to what are known in some quarters as checks
and balances are important, especially in administrative matters
and especially if we don't want to evolve further in the
direction of decision-making by appeal (and, if it actually was
feasible, recall).   I'd encourage the IAOC to think about those
contingencies and advise the community about what should be done
(if anything).

best,
john

--On Monday, July 16, 2018 09:53 -0400 Andrew Sullivan
<[email-masked]> wrote:

> Dear colleagues,
> 
> Attached, please find the report from the IAOC at IETF 102.
> We hope this is useful to you in formulating any questions you
> might have for us this week.  If you will have questions for
> us that you'd like us to answer during the plenary, you can
> also send them to us in advance at [email-masked].  If you do
>...

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 16 Jul 2018 10:42:34 -0400

Hi,

On Mon, Jul 16, 2018 at 10:25:31AM -0400, John C Klensin wrote:

> IAOC is not just administrative oversight.

I think that the _IASA_ might have a role beyond administrative
oversight, but my reading of RFC 4071, section 3.2, constrains the
IAOC quite narrowly.  

> I'd encourage the IAOC to think about those

I think one thing the community is doing is IASA 2.0, and I had been
taking the stance that IAOC members, if they have views about that,
could participate there.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Wed, 18 Jul 2018 18:59:30 -0400

(greetings from a campsite in Northern Ontario...)

Andrew Sullivan <[email-masked]> wrote:
    > in the IASA.  It appears that procedures were not always written down
    > as completely as one might like, and the apparent gaps have had to be
    > filled in from people's recollections.

Could we have a list of the things that were filled in?
Maybe the community will notice that the recollection was inaccurate?

    > is not available).  Accordingly, the IAOC closed the Tools Management
    > Committee.  At the same meeting, the IAOC closed the Sponsorship

How will the tools work be supervised, and reported to the community?

    > https://iaoc.ietf.org/venue-selection.html.  An important part of that
    > has been the replacement of the former Meetings Committee with a new
    > Venue Review Committee.  The new committee is intended to be quite
    > limited in its scope, because its primary task is to evaluate staff
    > recommendations for conformance with the MTGVENUE criteria.  This is
    > not an algorithm, of course, so some judgement will be required.  But
    > the process is intended to be lightweight and transparent to the
    > community.  We're continuing to refine procedures for this, and you
    > should expect to see more announcements over time.

Will the reviews be public?  In particular, will reasons for rejecting sites
be public?  I don't think the previous evaluation was public, but maybe I
just never looked in the right place.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Thu, 19 Jul 2018 04:33:15 +0000

Michael,

My [GD] attempts to answer are below 

-glenn

On 7/18/18, 7:04 PM, "ietf on behalf of Michael Richardson" <[email-masked] on behalf of [email-masked]> wrote:

    

[GD] At this point the new procedures are in place and it would be an extraordinary effort to attempt 
[GD] go back create such a list.  

[GD]
[GD] The Tools work and reporting continues as it was except there is no longer an IAOC subcommittee in 
[GD] the middle.  See the Tools team page:  https://www.ietf.org/about/groups/tools/

    
[GD] 
[GD] The new process that was just established based on MTGVENUE is documented in:   https://iaoc.ietf.org/venue-selection-roles-and-processes.html .  
[GD]
[GD]
[GD] From section 3. Qualification 
[GD]
[GD]        8. The IAOC updates the published list of candidate meeting cities, identifying which have been selected 
[GD]            as qualified meeting cities and which are not. This is the list of meeting locations that the IAOC will select 
[GD]             to hold IETF meetings at. 
[GD]            Note: The public list only contains city level information and will not include information about venues.
[GD]
[GD] The list of rejected cites will be published, but it will not contain detailed information about the venue.   
[GD] 
[GD] However, for cities which are actually contracted to host a meeting, information will be published as per section 4 Negotiation....
[GD]
[GD] Section 4. Negotiation
[GD]
[GD]      5. The IAOC/IAD announce the chosen contracted venue. The announcement MUST include any notable 
[GD]           economic, health, or safety risks or references thereto, as well as the venue's compliance with the 
[GD]           meeting criteria.
[GD]
[GD]  

[GD] -glenn

---

From: Michael Richardson <[email-masked]>
Date: Fri, 20 Jul 2018 16:57:48 -0400

> My [GD] attempts to answer are below

Thanks.

    
    
    > Maybe the community will notice that the recollection was inaccurate?

    GD> At this point the new procedures are in place and it would be an
    GD> extraordinary effort to attempt  
    GD> go back create such a list.

So, i'm not asking for that.
I'm asking: what proceedures did you find were missing and had to be
documented?   It should be a short list of five or ten words, I'd think.

    > How will the tools work be supervised, and reported to the community?

    GD> The Tools work and reporting continues as it was except there is no
    GD> longer an IAOC subcommittee in the middle.  See the Tools team page:
    GD> https://www.ietf.org/about/groups/tools/

That page didn't help me at all, and would do nothing to help
someone who wasn't already familiar with the workings of things.

Previously, the tools team was effectively "managed" by the IAOC
subcommittee.   If the tools team identified that there was paid
work that needed to be done, then it made the IAOC aware of that.
If I had a problem with the tools team, the IAOC was the place to complain
to.   Is the path now via the IAD?

    
    > [GD] 
    > [GD] The new process that was just established based on MTGVENUE is
    > documented in:
    > https://iaoc.ietf.org/venue-selection-roles-and-processes.html .

Thank you.  The most useful part of that page:
      The venue-selection email address in not a discussion list that can be
      subscribed to. Email sent to the address is publicly viewable at the IETF
      Mail Archive.

that this list is archived and public was unknown to me.  The write-only,
but archived and viewable, nature of the list is strange, but whatever...
Maybe it's visible by IMAP too.. I didn't check.
Aaron Falk's recent comments about India were a very interesting read.

    GD> The list of rejected cites will be published, but it will not contain
    GD> detailed information about the venue.
    
    GD> However, for cities which are actually contracted to host a meeting,
    GD> information will be published as per section 4 Negotiation....

I think that the Venue Selection people are doing themselves a disservice by
not making the rational for rejecting public.
    a) gonna get the same suggestion over and over again.
    b) circumstances might change and someone might know about it.
    c) the city itself might realize they have a problem and do something
       about it.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 21 Jul 2018 13:40:29 +1200

Michael,

> subcommittee.  

Before that it sort-of-vaguely reported to the IETF Chair,
which wasn't satisfactory at all. But I agree that it can't
be free-floating in the long term, and the whole question
of how volunteers relate to IASA needs to be sorted out
by the LLC when it exists (IMHO).

> If the tools team identified that there was paid

IMHO, that is the only way that makes sense in IASA2.0,
but this is probably the wrong list for that discussion.

Regards
   Brian

---

From: "Deen, Glenn (NBCUniversal)" <[email-masked]>
Date: Sat, 21 Jul 2018 14:26:16 +0000

Michael,

Inline as [GD]

> On Jul 20, 2018, at 2:02 PM, Michael Richardson <[email-masked]> wrote:
> 

[GD] Getting a little into the weeds here, but the specific procedures had to do with the hand-off from the previous IAD to the new one, so even if community members _did_ know those things they probably shouldn't and it would be inappropriate to post them.   The good news is that this is now past us. 

> to.   Is the path now via the IAD?

[GD]As Brian said in his note the tools have moved historically around and neither place were the exact right place.   It’s a reflection of some of the motivation behind the changes being made currently as part of IASA2. Clearly as part of changing to the LLC with more reliance upon staff there is a need to establish communication paths for problems and other discussions. 

That’s an IASA2 task to address.  That isn’t me deflecting the question, it’s an acknowledgement that such communication pathways are needed as part of the IASA2 migration.

> but archived and viewable, nature of the list is strange, but whatever...

[GD]The email address is write only and archived because it is a way to collected specific input from the community, transparently due it being a public archive, but it is not a discussion list specifically to avoid it being used as a place of debate.  

>    a) gonna get the same suggestion over and over again.
[GD] there’s nothing wrong with old suggestions resurfacing after a time, because situations do change.    

>    b) circumstances might change and someone might know about it.
[GD] Things do change for both the better and the worse, and staff do keep an eye out for changes to places that are under review or even contracted as meeting locations.  That’s a role that staff provide to the IAOC when it selects meeting venues, and you can see that in the roles and process document I cited previously.
 
>    c) the city itself might realize they have a problem and do something about it.

[GD]Appropriate feedback to cities or venues on where they don’t comply with our meeting criteria is of course made when it’s a specific issue that they don’t meet that can be practically addressed with the hope of that they will resolve it and that the venue can be added to the list of places that can be used for IETF meetings.   Of course, some issues are too large to easily resolve, such as having nearby hotels at different price points, personal safety, or pain of travel and there’s really not someone responsible to feed those too.

[GD] There is a difference however between staff providing feedback to an evaluated venue on where they don’t comply with our meeting criteria, and the IETF publishing a public detailed evaluation of compliance failures and issues.  Publishing to the world such information  along with criticisms  is neither a professional or constructive way to engage with venues and it would result in a lot of venues being hesitant to work with us.  Remember, just as the IETF has many venues to choose to bring meetings to, venues have many events to choose to do business with.

[GD]That’s why the process is set up the way it is.  We publicly disclose the cites that are evaluated as meeting our criteria and those that are not, but without detail.   Staff knows and retains the detailed knowledge, shares it with the IAOC and where appropriate it is communicated in a professional manner to the venues.  For venues that are rejected that’s where disclosure ends.   

[GD] For venues that are selected to host a meeting however the process goes a bit further.    The process requires that as part of the communication of the venue choice to the community that additional details be shared about the venues compliance with IETF meeting criteria.

-Glenn

---

From: Alissa Cooper <[email-masked]>
Date: Thu, 26 Jul 2018 11:50:19 -0400

Hi Michael,

> On Jul 20, 2018, at 4:57 PM, Michael Richardson <[email-masked]> wrote:
> 

Russ has been working on an update to that page and the corresponding page on www.ietf.org that explains the workings of the tools team, both of which are pending my review once I clear my post-IETF 102 backlog. Hopefully once the updates are posted the pages will be more informative.

Best,
Alissa